# DataExchange
TKSTEPBase
StepRepr

# StepRepr_FunctionallyDefinedTransformation Class Reference

`#include <StepRepr_FunctionallyDefinedTransformation.hxx>`

## Public Member Functions

Standard_EXPORT | StepRepr_FunctionallyDefinedTransformation ()
| Returns a FunctionallyDefinedTransformation .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_FunctionallyDefinedTransformation::StepRepr_FunctionallyDefinedTransformation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_FunctionallyDefinedTransformation::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_FunctionallyDefinedTransformation::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepRepr_FunctionallyDefinedTransformation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_FunctionallyDefinedTransformation::Name | ( |  | ) | const

Standard_EXPORT void StepRepr_FunctionallyDefinedTransformation::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepRepr_FunctionallyDefinedTransformation::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_FunctionallyDefinedTransformation::description `[private]`

Handle_TCollection_HAsciiString StepRepr_FunctionallyDefinedTransformation::name `[private]`

The documentation for this class was generated from the following file:

- StepRepr_FunctionallyDefinedTransformation.hxx